--
--
-- VehicleWaterBreak
--
-- # Author:  Heady
-- # date: 05.02.2017
-- # last update: 05.02.2017
--
-- > Not for commercial use  < --
-- > Not allowed for edit - Copyright (C) Heady - www.planet-ls.de < --
--


print("  VehicleWaterBreak v17.0.0 by Heady - www.planet-ls.de");

ModEvent = {};

function ModEvent:loadMap(name)

	g_currentMission.waterY = 10;

end;

function ModEvent:deleteMap()
end;

function ModEvent:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ModEvent:keyEvent(unicode, sym, modifier, isDown)
end;

function ModEvent:update(dt)
end;

function ModEvent:draw()
end;

addModEventListener(ModEvent);

--[[local DrivableUpdateTick = Drivable.updateTick;
Drivable.updateTick = function(self, dt)
    self.tickDt = dt;
    if self:getIsActive() then
        local xt,yt,zt = getTranslation(self.components[1].node);
        local deltaWater = yt-g_currentMission.waterY+2.5;
        if deltaWater < 0 then
            self.isBroken = true;
            g_currentMission:onSunkVehicle(self);
            if self.isEntered then
                if self:getIsActiveForSound() then
                    local volume = math.min(1, self:getLastSpeed()/30);
                    if self.sampleWaterSplash ~= nil then
                        SoundUtil.playSample(self.sampleWaterSplash, 1, 0, volume);
                    else
                        SoundUtil.playSample(g_currentMission.sampleWaterSplash, 1, 0, volume);
                    end
                end
                g_currentMission:onLeaveVehicle();
            end
        end
        self.showWaterWarning = deltaWater < 2;
        if self.attacherJointCombos ~= nil and self.attacherJointCombos.isRunning then
            for k, joint in pairs(self.attacherJointCombos.joints) do
                if self.attacherJointCombos.direction == 1 and self.attacherJointCombos.currentTime >= joint.time then
                    self:lowerImplementByJointIndex(joint.jointIndex, true);
                elseif self.attacherJointCombos.direction == -1 and self.attacherJointCombos.currentTime <= self.attacherJointCombos.duration-joint.time then
                    self:lowerImplementByJointIndex(joint.jointIndex, false);
                end
            end
            if (self.attacherJointCombos.direction == -1 and self.attacherJointCombos.currentTime == 0) or
               (self.attacherJointCombos.direction == 1  and self.attacherJointCombos.currentTime == self.attacherJointCombos.duration) then
                self.attacherJointCombos.isRunning = false;
            end
            self.attacherJointCombos.currentTime = Utils.clamp(self.attacherJointCombos.currentTime + dt*self.attacherJointCombos.direction, 0, self.attacherJointCombos.duration);
        end
    end
end]]